import { r as registerInstance, h } from './index-b13326fc.js';

const ElementVideoEditor = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    prop(path, options = {}) {
        return this.handler.prop(path, Object.assign({}, options));
    }
    render() {
        return [
            h("bce-switch", Object.assign({}, this.prop('autoplay'), { label: this.t('me-auto-play') })),
            h("bce-upload", Object.assign({}, this.prop('location'), { accept: "video/*" })),
            h("slot", null)
        ];
    }
};

export { ElementVideoEditor as bce_element_video_editor };
